SystemOrganization addCategory: #MikeMovies!

Object subclass: #AcM
	instanceVariableNames: 'id ams act mov'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MikeMovies'!

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:59'!
act
^act
 ! !

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:58'!
act: anActor
 act := anActor.
 ! !

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:49'!
act: anActor mov: aMov
 act := anActor.
 mov := aMov.! !

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 17:01'!
am

^  Array with: act fn,' ',act ln with: mov title. 
! !

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 17:50'!
id
^id ! !

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 17:50'!
id: i
^id := i! !

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:46'!
initialize
	"super initialize."
   ams := OrderedCollection new.
^self.	! !

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:59'!
mov
^mov.
 ! !

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:58'!
mov: aMovie
 mov := aMovie.
 ! !

!AcM methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 17:54'!
show
 Transcript show:'(AcM) ';show:id;show:'   ';show: act id;show:' ';
	         show: act fn; show:' ';show: act ln; show:'  :  ';
	         show: mov id;show:' ';show: mov title;cr

! !

Object subclass: #Actor
	instanceVariableNames: 'title yr synop rating id fn ln bd city ctry movies'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MikeMovies'!

!Actor commentStamp: '<historical>' prior: 0!
An Actor class for MikeMovies!

!Actor class methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 18:01'!
id: i fn: fna ln: lna
"e.g.  a1 := Actor id:'3' fn:'Jerry' ln:'Seinfeld' "
| t|
t := self new.

t id: i.
t fn: fna.
t ln: lna.
^t! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:17'!
bd
^bd.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:16'!
bd: aDate
^bd := (Date readFrom: (ReadStream on: aDate)).! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:17'!
city
^city.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:17'!
city: cit
^city := cit.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:17'!
ctry: ct
^ctry := ct.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:13'!
fn
^fn.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:13'!
fn: fna
^fn := fna.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:13'!
id
^id.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:13'!
id: n
^id := n.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 17:42'!
id: n fn: fna ln: lna bd: bda city: ct ctry: ctr

id := n. 
fn := fna. 
ln := lna. 
bd := bda. 
city := ct. 
ctry := ctr.
self show.
^id,' ',fn,' ',ln,' ',bd,' ',city,' ',ctry.
"^self."! !

!Actor methodsFor: 'initialization' stamp: 'mikestramba 8/28/2017 16:20'!
initialize
	super initialize.
	movies := OrderedCollection new.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 17:17'!
ln
^ln! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:14'!
ln: lna
^ln := lna.! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:21'!
movies
^ movies.
	! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:21'!
movies: aMovie
^ movies add: aMovie.
	! !

!Actor methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 17:22'!
show
 Transcript show:id;show:' '; show:fn ;show:' '; show:ln;show:' ';show:bd ;show:' ';
            show:city;show:' ';show:ctry ;cr .! !

Object subclass: #Movie
	instanceVariableNames: 'title yr synop rating id actors'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MikeMovies'!

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:22'!
actors
^ actors.	! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:22'!
actors: anActor
^ actors add: anActor.
	! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:12'!
id
^id.! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:12'!
id: n
^id := n.! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:23'!
initialize
	super initialize.
   actors := OrderedCollection new.
^self.	! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:11'!
rating
^rating.! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:11'!
rating: r
^rating := r.! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 17:45'!
show
 Transcript show:id;show:' ';show:yr;show:' '; show:title ;show:'   :  '; show:synop ;cr .
 
  ! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:10'!
synop
^synop.! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:10'!
synop: s
^synop  := s.! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:09'!
title
^title.! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:09'!
title: ti
^title := ti.! !

!Movie methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:10'!
yr: y
^yr := y.! !

Object subclass: #Movies
	instanceVariableNames: ''
	classVariableNames: 'ct movies'
	poolDictionaries: ''
	category: 'MikeMovies'!

!Movies class methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:39'!
add: aMovie
 movies add: aMovie.
^self.
! !

!Movies class methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:38'!
all
^movies.
! !

!Movies class methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:37'!
initialize
	super initialize.
   movies := OrderedCollection new.
^self.	! !

!Movies methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
initialize
	super initialize.
   actors := OrderedCollection new.
^self.	! !

Object subclass: #Theatre
	instanceVariableNames: 'title yr synop rating id actors'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MikeMovies'!

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
actors
^ actors.	! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
actors: anActor
^ actors add: anActor.
	! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
id
^id.! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
id: n
^id := n.! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
initialize
	super initialize.
   actors := OrderedCollection new.
^self.	! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
rating
^rating.! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
rating: r
^rating := r.! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
show
 Transcript show:yr;show:' '; show:title ;show:'   :  '; show:synop ;cr .
 
  ! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
synop
^synop.! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
synop: s
^synop  := s.! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
title
^title.! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
title: ti
^title := ti.! !

!Theatre methodsFor: 'as yet unclassified' stamp: 'mikestramba 8/28/2017 16:34'!
yr: y
^yr := y.! !
Movies initialize!
